#ifdef _CIVL
#include <civlc.cvh>
#endif
$input int B=50;
$input int n;
$assume(n>=0 && n<=B);
$input double a[n];
$output double sum;

void main() {
	double result = 0.0;
	int i;
	
	for (i=0; i<n; i++) result += a[i];
	sum = result;
}
